/** @type LanguageFn */

/* Made by Emma Skovgaard */

import keywords from "instructions.json"

export default function (hljs) {
    return {
        name: 'HLASM',
        aliases: ['High Level Assembler','IBM assembler'],
        case_insensitive: false,
        keywords: {
            keyword: keywords,
            type: [

            ],
            meta: [

            ]
        },
        contains: [
            hljs.COMMENT(
                /\*.+,/,
            ),
            {
                scope: 'string',
                begin: "'", end: "'"
            },
            {
                scope: 'operator',
                begin: /(\+| - |\*)/
            },
            {
                scope: 'number',
                begin: /\b(\d+)\b/
            }
        ]
    }
}